name: aman_kassa_flutter
description: A new Flutter project.
version: 1.4.0+44
environment:
    sdk: '>=2.15.0 <4.0.0'
dependencies:
    flutter:
        sdk: flutter
    cupertino_icons: ^1.0.5
    redux: ^5.0.0
    flutter_redux: ^0.10.0
    redux_thunk: ^0.4.0
    redux_persist: ^0.9.0
    redux_persist_flutter: ^0.9.0
    responsive_builder: ^0.4.2
    provider: ^6.0.3
    logger: ^1.1.0
    get_it: ^7.2.0
    equatable: ^2.0.3
    http: ^0.13.5
    sqflite: ^2.0.3+1
    path_provider: ^2.0.11
    google_fonts: ^3.0.1
    material_design_icons_flutter: ^5.0.6996
    intl: ^0.17.0
    barcode_scan2: ^4.2.1
    device_info: ^2.0.3
    vocsy_esys_flutter_share: ^1.0.1
    auto_size_text: ^3.0.0
    url_launcher: ^6.1.5
    qr_flutter: ^4.0.0
    mask_text_input_formatter: ^2.4.0
    flutter_screenutil: ^5.5.3+2
    shared_preferences: ^2.0.15
    flutter_lock_screen: ^2.0.1
    local_auth: ^2.1.2
    #esc_pos_bluetooth: ^0.4.1
    esc_pos_utils: ^1.1.0
    charset_converter: ^2.1.0
    permission_handler: ^8.3.0
    bluetooth_print:
        path: ../bluetooth_print
    flutter_blue: ^0.8.0
    firebase_messaging: ^12.0.2
    firebase_core: ^1.20.1
dev_dependencies:
    flutter_test:
        sdk: flutter
flutter:
    uses-material-design: true


  # To add assets to your application, add an assets section, like this:
    assets:
    - assets/images/
    - assets/lang/en.json
    - assets/lang/ru.json
    - assets/google_fonts/
      
  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.
      
  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages
      
  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages